Platino - Requisitos Técnicos @Firma

Para el correcto funcionamiento del componente applet de firma en cliente de Platino, se requiere que se cumpla un conjunto de requisitos técnicos específicos, los cuales se detallan a continuación:


Requisitos técnicos de Miniapplet de @firma

Windows

  • La versiones válidas del JRE:
    • Java SE 6 Update 38 (1.6.0_38) o superior, en 32.
    • Java SE 7 Update 10 (1.7.0_10) o superior. En Internet Explorer se recomienda siempre usar versiones de 32 bits.
    • Java SE 8. Se recomienda usar al menos la versión 8 Update 51. En Internet Explorer se recomienda siempre usar versiones de 32 bits.
  • Sistema Operativo:
    • Windows XP SP3 (se recomienda abandonar su uso) / Vista SP2 / 7 SP1 / 8 y 10, en 32 (x86) o 64 (x64) bits.
    • Windows Server 2003 R2 SP2 o superior, en 32 (x86) o 64 (x64) bits.
  • Navegador Web:
    • Internet Explorer 8 o superior (32 bits). Requiere el JRE de Java para la ejecución del applet de firma.
    • Mozilla Firefox 4.0 o superior (32 bits). Se recomienda la versión 49 o superior. A partir de la versión 52 (32 y 64 bits) es necesario tener instalado Autofirma. Si se utiliza Autofirma no es necesario tener el JRE de Java instalado.
    • Chrome 15 o superior. A partir de versión 41 (sin no se fuerza NPAPI) ó 45, es necesario tener instalado Autofirma. Si se utiliza Autofirma no es necesario tener el JRE de Java instalado.
    • Microsoft Edge funciona con Autofirma en todas sus versiones. No es necesario tener el JRE de Java instalado.
  • AutoFirma: 
    • Autofirma es una herramienta para firma en cliente desde Windows en entornos en los que no está habilitado el plugin para Applets de Java. La versión actual es la 1.6.5 y es compatible con los siguientes sistemas operativos:
      • Microsoft Windows 7 o superior.
        • Soportado directamente en 7, 8, 8.1 y 10.
        • En 32 o 64 bits.
    • Los sistemas operativos no soportados deberán hacer uso del plugin para Applets de Java con Internet Explorer y una versión soportada del JRE.
    • Puede descargarse el instalador de AutoFirma desde AQUÍ para sistemas operativos de 64 bits y AQUÍ para sistemas operativos de 32 bits.

Se recomienda abandonar Windows XP. Microsoft no aconseja el uso de XP, ya que este Sistema Operativo ha concluido su periodo de soporte.Usuarios de Firefox 9 o superior que tengan Windows XP - Usuarios de Firefox 9 o superior que tengan Windows Server: La carga del almacén de claves y certificados de Firefox 9 o superior por parte del MiniApplet @firma necesita que el sistema tenga1 instalado los entornos de ejecución redistribuibles de Microsoft Visual C++ 2005 y 2013. Si no consigue acceder a sus certificados y claves privadas desde el MiniApplet @firma, necesitará descargarlos e instalarlos manualmente. Estos pueden descargarse de:

  • Visual Studio 2013 (una vez en el enlace, seleccione el idioma y la arquitectura adecuada para su Sistema operativo). DESCARGA
  • Visual Studio 2005 para Windows XP y Windows Server 2003 en arquitectura x86. DESCARGA
  • Visual Studio 2005 Windows XP y Windows Server 2003 en arquitectura x64. DESCARGA

Para Windows 8/8.1 existe apartado específico en el manual del soporte de @firma (ver más abajo). 

Linux

  • La versiones válidas del JRE:
    • Java SE 6 Update 38 (1.6.0_38) o superior, en 32.Java SE 7 Update 10 (1.7.0_10) o superior.
    • Java SE 8. Se recomienda usar al menos la versión 8 Update 51.
  • Sistema Operativo:
    • Linux 2.6 (Ubuntu y Guadalinex) o superiores, en 32 (x86) o 64 (x64/AMD64) bits. Se recomienda la versión 3 o superior.
  • Navegador Web:
    • Mozilla Firefox 4.0 o superior.
    • Chrome 15 o superior. A partir de la versión 42 no es posible su uso.

 Mac OS X

  • La versiones válidas del JRE:
    • Java SE 7 Update 10 (1.7.0_10) o superior.
    • Java SE 8. Se recomienda usar al menos la versión 8 Update 51.
  • Sistema Operativo:
    • Apple OS X Yosemite (10.10.5 o superior) o El Capitán (10.11.1).
  • Navegador Web:
    • Apple Safari 6.2 o superior (soporte prestado únicamente para la versión OS X).
    • Mozilla Firefox 4.0 o superior. Se recomienda versión de 64 bits.
    • Chrome 15 o superior. A partir de la versión 42 no es posible su uso.

Para Max OS X existe apartado específico (2.1.1.3) en el manual del soporte de @firma.

Para una información más detallada sobre los requisitos según Sistema Operativo, navegador y JRE, puede leer el apartado 2 del manual del Miniapplet de @firma 1.5.

Compatibilidad con Apple OS X

Los Applets de Java en OS X con Safari tienen restringido por defecto el acceso al sistema de ficheros, lo cual puede causar cierta confusión con el MiniApplet Cliente @firma en OS X, porque da la impresión de funcionar apropiadamente, pero cuando se solicita abrir o guardar un fichero, no es posible.

En particular, lo que el usuario aprecia al intentar abrir un fichero es que el diálogo de selección se abre, pero no muestra ningún archivo.

Para conseguir que el MiniApplet tenga acceso no restringido al sistema de ficheros del usuario es necesario que este configure Safari para habilitar el “Modo Inseguro” para el sitio Web en concreto que publique el MiniApplet.

Para ello, siga las indicaciones de Apple, que puede encontrar aquí: http://support.apple.com/kb/HT5954

 

Habilitación de Applets de Java en navegador Web

En cualquier entorno operativo actual, y debido a los riesgos de seguridad que ello implica, es necesario habilitar los Applets de Java en los navegadores Web.

Para ello, es necesario seguir un proceso que es diferente según el navegador Web, y que puede variar según el sistema operativo.

Consulte la documentación del navegador Web para obtener instrucciones sobre cómo habilitar los Applets de Java, y siga atentamente las indicaciones de Oracle para este proceso, que puede encontrar en: http://java.com/en/download/help/enable_browser.xml

Seguridad Java

Para la correcta descarga de los recursos de la aplicación Java es necesario configurar los sitios seguros java tal como aparecen en la siguiente figura, con la adición del sitio www.gobiernodecanarias.org:

 

 

Será necesario añadir en esta lista cualquier dirección base a la que se acceda, como: http://www.gobiernodecanarias.org, https://www.gobiernodecanarias.org, http://sede.gobcan.es, https://sede.gobcan.es, etc. 

Certificados electrónicos

Para realizar la firma en cliente debe tener habilitado en su navegador un certificado emitido por una de las entidades soportadas.

DNI Electrónico

Para la utilización del DNI electrónico es recomendable seguir una serie de consideraciones dependiente del sistema operativo. Puede encontrar los drivers necesarios en la web del DNI-e:       

  https://www.dnielectronico.es/PortalDNIe/PRF1_Cons02.action?pag=REF_1100.

Documentos a firmar

El nombre del fichero o la ruta de los documentos a firmar no debe contener los siguientes caracteres: < > # % (Espacio) (Car. 7F) cumpliendo con estándar URI, RFC 2396, apartado 2.4.3. Para más información consultar el siguiente enlace.

Verificación del componente:

Adicionalmente el usuario del componente de la firma electrónica de Platino, puede validar dinámicamente los requisitos del mismo utilizando la siguiente aplicación web. Con dicha página, se puede verificar los siguientes requisitos: 

  • La compatibilidad del sistema operativo y navegador utilizado por el usuario.
  • La compatibilidad de la máquina virtual Java utilizada por el usuario.

Adicionalmente se muestra un selector con la información de los certificados instalados en el navegador/sistema del usuario.

Para una guía de uso puede leer el siguiente manual.